Anonymous Login
2018-12-13 04:41 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001730OpenClonkEnginepublic2016-04-29 19:35
ReporterMaikel 
Assigned ToGünther 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Versiongit masterFixed in Versiongit master 
Summary0001730: Crash on master
Descriptionsee stacktrace
Additional InformationProgram received signal SIGSEGV, Segmentation fault.
0x0000000000cc851b in C4Effect::CompileFunc (this=0x52fb130,
    pComp=0x7fffffff9140, numbers=0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/script/C4Effect.cpp:532
532 const C4PropListStatic * p = CommandTarget.getPropList()->IsStatic();
(gdb) bt
#0 0x0000000000cc851b in C4Effect::CompileFunc (this=0x52fb130,
    pComp=0x7fffffff9140, numbers=0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/script/C4Effect.cpp:532
#1 0x0000000000c4093e in StdParameterAdapt<C4Effect&, C4ValueNumbers*>::CompileFunc (this=0x7fffffff88e0, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
#2 0x0000000000c40375 in StdCompiler::Value<StdParameterAdapt<C4Effect&, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000003 0x0000000000c409ae in StdDecompileAdapt<C4Effect>::CompileFunc<C4ValueNumbers*> (this=0x7fffffff8960, pComp=0x7fffffff9140,
    par=@0x7fffffff8978: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:150
#4 0x0000000000c40422 in StdParameterAdapt<StdDecompileAdapt<C4Effect>, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8970, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000005 0x0000000000c3faf5 in StdCompiler::Value<StdParameterAdapt<StdDecompileAdapt<C4Effect>, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000006 0x0000000000c3f405 in StdPtrAdaptDecompileNewFunc<C4Effect, C4ValueNumbers*> (adapt=..., pComp=0x7fffffff9140, par=@0x7fffffff8aa8: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:632
0000007 0x0000000000c3edfe in StdPtrAdaptCompileFunc<StdPtrAdapt<C4Effect>, C4ValueN---Type <return> to continue, or q <return> to quit---
umbers*> (pComp=0x7fffffff9140, adapt=..., par=@0x7fffffff8aa8: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:611
0000008 0x0000000000c3e5ab in StdPtrAdapt<C4Effect>::CompileFunc<C4ValueNumbers*> (
    this=0x7fffffff8ab0, pComp=0x7fffffff9140,
    p=@0x7fffffff8aa8: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:520
0000009 0x0000000000c3dbec in StdParameterAdapt<StdPtrAdapt<C4Effect>, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8aa0, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
#10 0x0000000000c3c2dd in StdCompiler::Value<StdParameterAdapt<StdPtrAdapt<C4Effect>, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000011 0x0000000000cc8899 in C4Effect::CompileFunc (this=0x1da1cb50,
    pComp=0x7fffffff9140, numbers=0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/script/C4Effect.cpp:562
#12 0x0000000000c4093e in StdParameterAdapt<C4Effect&, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8b50, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000013 0x0000000000c40375 in StdCompiler::Value<StdParameterAdapt<C4Effect&, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000014 0x0000000000c409ae in StdDecompileAdapt<C4Effect>::CompileFunc<C4ValueNumbers*> (this=0x7fffffff8bd0, pComp=0x7fffffff9140,
---Type <return> to continue, or q <return> to quit---
    par=@0x7fffffff8be8: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:150
0000015 0x0000000000c40422 in StdParameterAdapt<StdDecompileAdapt<C4Effect>, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8be0, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000016 0x0000000000c3faf5 in StdCompiler::Value<StdParameterAdapt<StdDecompileAdapt<C4Effect>, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000017 0x0000000000c3f405 in StdPtrAdaptDecompileNewFunc<C4Effect, C4ValueNumbers*> (adapt=..., pComp=0x7fffffff9140, par=@0x7fffffff8d18: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:632
0000018 0x0000000000c3edfe in StdPtrAdaptCompileFunc<StdPtrAdapt<C4Effect>, C4ValueNumbers*> (pComp=0x7fffffff9140, adapt=..., par=@0x7fffffff8d18: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:611
0000019 0x0000000000c3e5ab in StdPtrAdapt<C4Effect>::CompileFunc<C4ValueNumbers*> (
    this=0x7fffffff8d20, pComp=0x7fffffff9140,
    p=@0x7fffffff8d18: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:520
0000020 0x0000000000c3dbec in StdParameterAdapt<StdPtrAdapt<C4Effect>, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8d10, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000021 0x0000000000c3c2dd in StdCompiler::Value<StdParameterAdapt<StdPtrAdapt<C4Effect>, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
---Type <return> to continue, or q <return> to quit---
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000022 0x0000000000cc8899 in C4Effect::CompileFunc (this=0x1d7f0f90,
    pComp=0x7fffffff9140, numbers=0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/script/C4Effect.cpp:562
0000023 0x0000000000c4093e in StdParameterAdapt<C4Effect&, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8dc0, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000024 0x0000000000c40375 in StdCompiler::Value<StdParameterAdapt<C4Effect&, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
#25 0x0000000000c409ae in StdDecompileAdapt<C4Effect>::CompileFunc<C4ValueNumbers*> (this=0x7fffffff8e40, pComp=0x7fffffff9140,
    par=@0x7fffffff8e58: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:150
0000026 0x0000000000c40422 in StdParameterAdapt<StdDecompileAdapt<C4Effect>, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8e50, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000027 0x0000000000c3faf5 in StdCompiler::Value<StdParameterAdapt<StdDecompileAdapt<C4Effect>, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
0000028 0x0000000000c3f405 in StdPtrAdaptDecompileNewFunc<C4Effect, C4ValueNumbers*> (adapt=..., pComp=0x7fffffff9140, par=@0x7fffffff8f78: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:632
---Type <return> to continue, or q <return> to quit---
0000029 0x0000000000c3edfe in StdPtrAdaptCompileFunc<StdPtrAdapt<C4Effect>, C4ValueNumbers*> (pComp=0x7fffffff9140, adapt=..., par=@0x7fffffff8f78: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:611
0000030 0x0000000000c3e5ab in StdPtrAdapt<C4Effect>::CompileFunc<C4ValueNumbers*> (
    this=0x7fffffff8f90, pComp=0x7fffffff9140,
    p=@0x7fffffff8f78: 0x7fffffff9210)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:520
0000031 0x0000000000c3dbec in StdParameterAdapt<StdPtrAdapt<C4Effect>, C4ValueNumbers*>::CompileFunc (this=0x7fffffff8f70, pComp=0x7fffffff9140)
    at /home/maikel/openclonk/repos/src/lib/StdAdaptors.h:446
0000032 0x0000000000c3c2dd in StdCompiler::Value<StdParameterAdapt<StdPtrAdapt<C4Effect>, C4ValueNumbers*> > (this=0x7fffffff9140, rStruct=...)
    at /home/maikel/openclonk/repos/src/lib/StdCompiler.h:170
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005084

Maikel (developer)

Reminder sent to: Günther

~0005085

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/904bf78d685299ec9cb7c59a4c597d96ddceb312

Changeset 904bf78 by Günther Brammer <gbrammer@gmx.de>
Don't crash when deserializing an effect with object command target (0001730)

+Notes

-Issue History
Date Modified Username Field Change
2016-04-28 20:51 Maikel New Issue
2016-04-28 20:51 Maikel Status new => assigned
2016-04-28 20:51 Maikel Assigned To => Günther
2016-04-28 20:51 Maikel Note Added: 0005084
2016-04-28 22:16 occ Note Added: 0005085
2016-04-29 19:35 Maikel Status assigned => resolved
2016-04-29 19:35 Maikel Fixed in Version => git master
2016-04-29 19:35 Maikel Resolution open => fixed
+Issue History